import { BaseApiService } from '@/services/api/base';
import {
  Phase,
  CreatePhasePayload,
  UpdatePhasePayload,
} from '@/types/api/daily-checklist/phase';

export class PhaseApiService extends BaseApiService<
  Phase,
  CreatePhasePayload,
  UpdatePhasePayload
> {
  constructor(basePath: string = '/master-data/phases') {
    super(basePath);
  }
}

export const PhaseApi = new PhaseApiService('/master-data/phases');
